Subject: Re: bug #62317: 28.2; This byte-compiled file behaves wrongly.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Apr 2023 11:08:14 +0300

> Date: Sat, 01 Apr 2023 16:36:49 +0900 (JST)
> Cc: [email-masked], [email-masked]
> From: Teika Kazura <[email-masked]>
> 
> Sorry for having messed, but native compilation is a separate issue which is to be discussed elsewhere.
> 
> The original bug exists for the 29 git head, and for 28.3. [1] It's a pure byte-compilation problem, and the reproduction procedure in Message #5 remains valid. The workaround above works also for 29.
> 
> [1] For the 29, I used d0eb12e8d3c9d6f95b8493e05857d583c29dd0fe (2023-03-31) and "28.3" is actually 28.2 + three vulnerebility fixes by my distro, Gentoo Linux. Both are built *without* libgcc, i.e. with --without-native-compilation.
> 
> For the native compilation issue, sorry, I can't help. It's difficult for me to recompile repeatedly with --with-native-compilation. (Building 29 took about 3 times longer than 28.)

Stefan, any ideas?  I think switching to a different buffer inside
eval-and-compile is a bad idea, but maybe I'm missing something.